/*****************************************
 * Arduino UNO controlled VC Oscillator
 * ***************************************
 * W.Spahn Feb.2021   dernulleffekt.de
 * 
 *  voltage control on pin 5
 *  sync on pin 10
 * 
 ******************************************/


void setup() {
  // sets the speed on pin 5 and 6 (just for a Atmega328 chip):
  TCCR0B = TCCR0B & 0b11111000 | 0x01;
}

void loop() {
  analogWrite(5, 100);
  for (int i = 0; i < 100; i++) {
    digitalWrite(10, HIGH);
    delay(500);
    digitalWrite(10, LOW);
    delay(500);
  }
  analogWrite(5, 200);
  for (int i = 0; i < 100; i++) {
    digitalWrite(10, HIGH);
    delay(250);
    digitalWrite(10, LOW);
    delay(250);
  }
}
