/*****************************************
 * Arduino UNO controlled VC Oscillator
 * ***************************************
 * W.Spahn Feb.2021   dernulleffekt.de
 * 
 *  sensor on pin A1
 *  voltage control on pin 5
 *  sync on pin 10
 * 
 ******************************************/


void setup() {
  // sets the speed on pin 5 and 6 (just for a Atmega328 chip):
  TCCR0B = TCCR0B & 0b11111000 | 0x01;
}

void loop() {
  int value = analogRead(0);
  value = map(value,0,1023,10,100);
  analogWrite(5, value);
  for (int i = 0; i < 100; i++) {
    digitalWrite(10, HIGH);
    digitalWrite(9, HIGH);
    delay(value*5);
    digitalWrite(10, LOW);
    digitalWrite(9, LOW);
    delay(value*5);
  }
}
